#!/bin/sh
# Bundesliga Tore/Tabelle - by rich -
# Flexmenue:
#     ACTION=&1. Fuball-Bundesliga-Tabelle,/var/plugins/tabelle.sh
#     ACTION=&1. Fuball-Bundesliga-Toretabelle,/var/plugins/tabelle.sh TORE
#

VERSION=V1.6

kill_script() {
	kill $$; echo "TimeOut ueberschritten!"; exit 1
}

timeOut() {
	sleep 15 && kill_script &
}

tabelle() {
	tabelle=`sed -n '/<table class=.blitztabelle.>/,/<\/table>/p' /tmp/blitztabelle.htm | sed -e '{/<td class=/!d;s/^	*//}' | sed -e ':a;N;$!ba;s/\n//g' | sed -e 's/btColPunkte.>[^<]*<\/td>/&\n/g' | sed -e '{s/tab1.gif/>~G</;s/tab4.gif/>~R</;s/tab2.gif/>~B</;s/tab3.gif/>~Y</;s/<[^>]*>/_/g;s/__*/~T125/;s/__/~T155~S/;s/__/~T370/;s/__/~T425~B/;s/__/~T500~S/;s/_//g}'`
	msgbox absolute=1 default=3 select=" Erkl~arung ,Tore,EXIT" title="1. Fu~zball-Bundesliga Tabelle  -  $VERSION" size=28 msg="$tabelle"
	SELECT=$?; [ $SELECT = 1 ] && info; [ $SELECT = 2 ] && tore
}

tore() {
	toretab=`sed -n '/<th colspan=.2. class=.eventHeader.>/,/<\/table>/p' /tmp/blitztabelle.htm | sed -e '{/<td class=.event/!d;s/^[	 ]*//}' | sed 'N;s/\(.*\)\n/~S~T090\1~T377~B/' | sed -e '{s/.* onclick=[^>]* class=.eventLive.>/~T068~Y>>&/;s/<[^>]*>//g;s/ - / & /;s/\([^ ]*\)$/~T465~Y\1/}'`
	titel=`sed -n 's/<th colspan=.2. class=.eventHeader.>//p' /tmp/blitztabelle.htm | sed -e 's/<.*/  -  '"$VERSION"'/'`
	msgbox absolute=1 default=2 select=" Tabelle ,EXIT" title="$titel" size=33 msg="~T090Begegnungen~T367~BTore~T449~YHalbzeit~n~s~n$toretab~n~s"
	[ $? = 1 ] && tabelle
}

info() {
	msgbox absolute=1 default=3 select=" Tabelle ,Tore,EXIT" title="1. Fu~zball-Bundesliga Tabelle   - by rich -" size=29 msg="~T110Rang~T165Mannschaft~T340~SSpiele~T410~BTore~T470~SPunkte~n~s~n~G~T1201~T165Champions League~n~G~T1202~n~B~T1203~T165CL-Qualifikation~n~Y~T1204~T165UEFA-Cup~n~Y~T1205~n~T120.~n~T120.~n~T120.~n~R~T12018~T165Abstieg~n~s"
	SELECT2=$?; [ $SELECT2 = 1 ] && tabelle; [ $SELECT2 = 2 ] && tore
}

timeOut
wget -q -O /tmp/blitztabelle.htm http://linpop.zdf.de/sport/bl1/konferenz.htm
kill $!

if [ ! -s /tmp/blitztabelle.htm ] ; then
	msgbox size=30 title="Toretabelle Info" msg="Fehler:  Keine Antwort vom Server !!!"
else
	case "$1" in
		"TABELLE")
			tabelle
		;;
		"TORE")
			tore
		;;
		*)
			tabelle
		;;
	esac
fi
[ -e /tmp/blitztabelle.htm ] && rm /tmp/blitztabelle.htm &
exit 0
